> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/notes-pins/36.-mutation-add-multiple-comments-to-the-selected-notes.md).

# 36. Mutation: Add multiple "Comments" to the selected "Notes"

This mutation allows you to add multiple Comments to the selected Note.

{% hint style="success" %}
The maximum amount of Comments to save is 25.
{% endhint %}

* A Comment can be linked to the Field via its unique identifier `fieldUuid` and to the Note via `noteUuid`.
* The content of the Comment can be provided using the `text` attribute. If the content needs to be multiline, the `text` attribute should contain a string with newline characters `\\n` to separate lines. For example: `"First line. is here\\nSecond line is here.\\nThird line is here."`.
* It is possible to set a defined datetime associated with the comment using the `createdDate` attribute in the ISO8601 format.

The sample request can be found below:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation BatchAddNoteComments {
  addNoteComments(input:{
    comments: [
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "The 4th comment from multiple.",
        createdDate: "2020-08-25T06:06:06.000Z"
      }, 
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "The 5th comment from multiple.\\nThe second line of the comment.",
        createdDate: "2020-08-25T06:06:07.000Z"
      }
    ]
  }) {
    uuid
    fieldUuid
    noteUuid
    createdDate
    updatedDate
    text
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/notes-pins/36.-mutation-add-multiple-comments-to-the-selected-notes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
